# Class GetXmrSeedReply

#### Hierarchy

- unknown
  - GetXmrSeedReply

- Defined in src/protobuf/grpc_pb.d.ts:3012
- Defined in src/protobuf/grpc_pb.d.ts:3024

#####
Index

### Constructors

constructor

### Methods

getSeed
serializeBinary
setSeed
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetXmrSeedReply(): GetXmrSeedReply

- #### Returns GetXmrSeedReply

  Inherited from jspb.Message.constructor

## Methods

### getSeed

- getSeed(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:3013

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:3016

### setSeed

- setSeed(value: string): GetXmrSeedReply

- #### Parameters

  - ##### value: string

  #### Returns GetXmrSeedReply

  - Defined in src/protobuf/grpc_pb.d.ts:3014

### toObject

- toObject(includeInstance?: boolean): GetXmrSeedReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetXmrSeedReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3017

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetXmrSeedReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetXmrSeedReply

  - Defined in src/protobuf/grpc_pb.d.ts:3020

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetXmrSeedReply, reader: BinaryReader): GetXmrSeedReply

- #### Parameters

  - ##### message: GetXmrSeedReply

  - ##### reader: BinaryReader

  #### Returns GetXmrSeedReply

  - Defined in src/protobuf/grpc_pb.d.ts:3021

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetXmrSeedReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetXmrSeedReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:3019

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetXmrSeedReply): GetXmrSeedReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetXmrSeedReply

  #### Returns GetXmrSeedReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:3018

Generated using TypeDoc